---
- name: "k8scluster : prometheus-stack - Install"
  hosts: k8s_masters
  tasks:
    - name: "prometheus-stack : Install - Add Helm repositories"
      community.kubernetes.helm_repository:
        name: "{{ item.key }}"
        repo_url: "{{ item.value }}"
      with_dict:
        stable: https://charts.helm.sh/stable
        prometheus-community: https://prometheus-community.github.io/helm-charts

    - name: "prometheus-stack : Install - Run Helm chart"
      community.kubernetes.helm:
        # atomic:
        # binary_path:
        chart_ref: prometheus-community/kube-prometheus-stack
        # chart_repo_url:
        chart_version: "{{ prometheus_chart_version }}"
        # context:
        create_namespace: yes
        # disable_hook: no
        # force: no
        # kubeconfig:
        # purge:
        release_name: "{{ prometheus_release_name }}"
        release_namespace: prometheus-stack
        release_state: present
        release_values:
          grafana:
            ingress:
              enabled: true
              hosts:
                - "{{ grafana_fqdn }}"
          prometheus:
            ingress:
              enabled: true
              hosts:
                - "{{ prometheus_fqdn }}"
        # replace: no
        update_repo_cache: yes
        # values_files:
        # wait: no
        # wait_timeout: 0
